Bug 244961 - Pidgin can not display messages saved on server while I'm offline
Pidgin can not display messages saved on server while I'm offline
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-06-20 01:21 EDT by The Source
Modified: 2008-08-02 19:40 EDT (History)
5 users (show)

See Also:
Fixed In Version: 2.0.2-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-08 22:05:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Bug-is-back screenshot (132.47 KB, application/x-bzip)
2007-06-28 01:37 EDT, The Source
no flags Details

  None (edit)
Description The Source 2007-06-20 01:21:36 EDT
Description of problem:
It displays the following:
??? ???? ?????? ?????.. (There was an error receiving this message.  Either you
and 267391043 have different encodings selected, or 267391043 has a buggy client.)
However, if my buddy sends the same message while I'm online everything is ok.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Ethan Blanton 2007-06-20 12:40:33 EDT
We are aware of this upstream.  The submitter did not say, but based on the
symptoms and the screen name (which appears to be a UIN), I surmise that this is
ICQ.  See http://developer.pidgin.im/ticket/1645 for progress on fixing various
ICQ encoding bugs.  (We have already fixed some status encoding problems there.)
Comment 2 Stu Tomlinson 2007-06-26 12:08:15 EDT
This should be fixed in 2.0.2-3.fc7, please re-open if you still see this
problem with that version.
Comment 3 The Source 2007-06-26 13:06:18 EDT
I'll check that, but I can say for certain that bug with invalid encoding in
tooltips remains. And messages from jaber also have invalid encoding.
Comment 4 The Source 2007-06-28 01:36:24 EDT
Sorry, but it is not fixed. See the screenshot.
Comment 5 The Source 2007-06-28 01:37:30 EDT
Created attachment 158092 [details]
Bug-is-back screenshot
Comment 6 Stu Tomlinson 2008-03-09 12:22:28 EDT
There have been a number of adjustments to how pidgin handles encodings on ICQ
over the months, I'm sorry I don't know for sure if this particular issue is
fixed though - can you verify if this is still a problem in Pidgin 2.3.1 ?
Comment 7 Mark Doliner 2008-03-09 12:39:37 EDT
Checking 2.4.0 would be better.
Comment 8 Stu Tomlinson 2008-03-09 12:56:13 EDT
Right, but 2.4.0 isn't in Fedora 7 stable repo yet, it is in updates-testing though.
Comment 9 Stu Tomlinson 2008-04-08 22:05:57 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.